XISUITEDokumentation

Asset Comments

4 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

List comments for an item#

GET/spaces/{spaceId}/lists/items/{itemId}/commentsToken

Parameter

NameOrtTypBeschreibung
itemIdPflichtPfadstring–
spaceIdPflichtPfadany–

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/comments" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Create a comment#

POST/spaces/{spaceId}/lists/items/{itemId}/commentsToken

Parameter

NameOrtTypBeschreibung
itemIdPflichtPfadstring–
spaceIdPflichtPfadany–

Request-Bodyapplication/jsonCreateCommentDto

NameTypBeschreibung
contentPflichtstring–

Antworten

  • 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/comments" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"content":"…"}'

Update a comment#

PUT/spaces/{spaceId}/lists/items/{itemId}/comments/{commentId}Token

Parameter

NameOrtTypBeschreibung
itemIdPflichtPfadstring–
commentIdPflichtPfadstring–
spaceIdPflichtPfadany–

Request-Bodyapplication/jsonUpdateCommentDto

NameTypBeschreibung
contentPflichtstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/comments/{commentId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"content":"…"}'

Delete a comment#

DELETE/spaces/{spaceId}/lists/items/{itemId}/comments/{commentId}Token

Parameter

NameOrtTypBeschreibung
itemIdPflichtPfadstring–
commentIdPflichtPfadstring–
spaceIdPflichtPfadany–

Antworten

  • 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/items/{itemId}/comments/{commentId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions